import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)

export default new Vuex.Store({
	state: {
		config: {}
	},
	getters:{
		 config: state => state.config,
	},
	mutations: {
		CONFING: (state, data) => {
			state.config = data
		},
	},
	actions: {
		setConfig({commit}, data) {
			commit('CONFING', data);
		}
	},
})
